Bug 1735346 - hugo: FTBFS in Fedora rawhide/f31
Summary: hugo: FTBFS in Fedora rawhide/f31
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hugo
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Elliott Sales de Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FTBFS 1732841
TreeView+ depends on / blocked
 
Reported: 2019-07-31 19:36 UTC by Fedora Release Engineering
Modified: 2019-10-31 01:18 UTC (History)
3 users (show)

Fixed In Version: hugo-0.58.3-1.fc31~bootstrap
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-31 01:18:15 UTC


Attachments (Terms of Use)
build.log (1.18 KB, text/plain)
2019-07-31 19:36 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2019-07-31 19:36 UTC, Fedora Release Engineering
no flags Details
state.log (467 bytes, text/plain)
2019-07-31 19:36 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-07-31 19:36:40 UTC
hugo failed to build from source in Fedora rawhide/f31

https://koji.fedoraproject.org/koji/taskinfo?taskID=36633912


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
Please fix hugo at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
hugo will be orphaned. Before branching of Fedora 32,
hugo will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-07-31 19:36:47 UTC
Created attachment 1596511 [details]
build.log

Comment 2 Fedora Release Engineering 2019-07-31 19:36:50 UTC
Created attachment 1596512 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2019-07-31 19:36:51 UTC
Created attachment 1596513 [details]
state.log

Comment 4 Elliott Sales de Andrade 2019-08-08 00:12:47 UTC
I forgot that we'll still need go-i18n v1 here, but there a WIP patch upstream. Just need to see if that can be finished or backported when I get a chance.

Comment 5 Ben Cotton 2019-08-13 17:08:15 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 6 Ben Cotton 2019-08-13 17:34:10 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 7 Fedora Update System 2019-10-23 08:13:30 UTC
FEDORA-2019-7a80f27845 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7a80f27845

Comment 8 Fedora Update System 2019-10-23 15:45:08 UTC
hugo-0.58.3-1.fc31~bootstrap has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7a80f27845

Comment 9 Fedora Update System 2019-10-31 00:58:14 UTC
hugo-0.58.3-1.fc31~bootstrap has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.